Page MenuHomePhabricator

Measure time spent in Swift, Memcache and Poolcounter
ClosedPublic

Authored by Gilles on Jan 22 2018, 3:10 PM.

Diff Detail

Repository
rTHMBREXT Thumbor Plugins
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Gilles created this revision.Jan 22 2018, 3:10 PM
Gilles updated this revision to Diff 2493.Jan 23 2018, 9:36 AM
  • Measure time spent in Memcache
Gilles requested review of this revision.Jan 23 2018, 9:37 AM
Gilles updated this revision to Diff 2494.Jan 23 2018, 10:09 AM
  • Measure time spent in Poolcounter
Gilles retitled this revision from Measure time spent in Swift to Measure time spent in Swift, Memcache and Poolcounter.Jan 23 2018, 10:10 AM
Gilles edited the summary of this revision. (Show Details)
fgiunchedi added inline comments.Jan 31 2018, 12:06 PM
wikimedia_thumbor/handler/images/images.py
468

Perhaps move start outside the try/except block, I think in practice it might not make a difference but IIRC some python linters might complain about start being used in the except block without being initialized

wikimedia_thumbor/logging/__init__.py
2

statsd_key

wikimedia_thumbor/result_storage/swift/swift.py
88

Not needed?

Gilles updated this revision to Diff 2504.Jan 31 2018, 12:10 PM
Gilles marked 3 inline comments as done.
  • Address concerns
fgiunchedi accepted this revision.Feb 1 2018, 9:56 AM
This revision is now accepted and ready to land.Feb 1 2018, 9:56 AM
This revision was automatically updated to reflect the committed changes.